=== Utils/setMAC/Makefile ===
all: setMAC

setMAC: setMAC.c
	gcc  -static -Wall  -s -Os -o setMAC setMAC.c
