=== Utils/wol/Makefile ===
all: wol

wol: wol.c
	gcc  -static -Wall  -s -Os -o wol wol.c
