## micro-evtd 3.4

=== debian/changelog ===
micro-evtd (3.4-7) unstable; urgency=medium

  [ Ryan Tandy ]
  * Fix world-writable pid and status files in /var/run (Closes: #988119)
    - Patch micro-evtd.c to reset umask to 022 instead of 0.
    - Fix permissions on existing files on upgrade.

 -- Roger Shimizu <rosh@debian.org>  Sat, 22 May 2021 16:40:17 +0900

micro-evtd (3.4-6) unstable; urgency=medium

  [ Ryan Tandy ]
  * Fix FTBFS with glibc 2.30 (Closes: #987631)
  * Remove myself as Maintainer, and move Roger Shimizu from Uploaders to
    Maintainer, with his agreement.

  [ Roger Shimizu ]
  * debian/control:
    - Update to use my debian address.
  * debian/patches:
    - Add ticket number to patch 0007.

 -- Roger Shimizu <rosh@debian.org>  Tue, 04 May 2021 12:22:09 +0900

micro-evtd (3.4-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Roger Shimizu ]
  * Release to unstable.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 04 Jan 2019 14:12:25 +0900

micro-evtd (3.4-5~exp2) experimental; urgency=medium

  * debian/control:
    - Update Vcs-* to move from alioth to salsa.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 02 May 2018 23:09:36 +0900

micro-evtd (3.4-5~exp1) experimental; urgency=medium

  * debian/watch:
    - Update to get correct version.
  * debian/control:
    - Update Vcs-Git.
    - Drop arm architecture support, only keep armel.
      There's no arm support in even oldoldstable (wheezy), while armel,
      armhf, and arm64 are officially supported.
  * debian/copyright:
    - Use https for links when possible.
    - Update copyright year.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 24 Sep 2017 00:36:19 +0900

micro-evtd (3.4-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 03 Jan 2017 23:33:21 +0900

micro-evtd (3.4-4) unstable; urgency=medium

  [ Roger Shimizu ]
  * debian/patches:
    - Refresh patches by git-buildpackage patch-queue (gbp pq)
    - Fix typo in manpages. Thanks to lintian.
  * debian/control:
    - Add lsb-base (>= 3.0-6) as dependency of micro-evtd.
      Thanks to lintian.
    - Replace XC-Package-Type with Package-Type. Thanks to lintian.
    - Add myself as uploader.
  * debian/rules:
    - Add security hardening.

  [ Ryan Tandy ]
  * Upgrade to dh compat level 10.
  * Upgrade to Standards-Version 3.9.8. No changes required.
  * Support cross-building by passing CROSS_COMPILE to micro-evtd.mak.
  * Handle failure to mmap() /dev/mem on recent kernels with STRICT_DEVMEM
    enabled by checking for MAP_FAILED. In this case, the UART-based button
    press detection will be used. (Closes: #845559)
  * Update year in debian/copyright and add Roger Shimizu.
  * Add Vcs-Browser and Vcs-Git.
  * Align the default temperature thresholds used by micro-evtd with the
    commented-out values in the config file. Thanks to Yoichi Imai.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 11 Dec 2016 20:22:45 -0800

micro-evtd (3.4-3) unstable; urgency=medium

  * Support device-tree enabled kernel

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 13 Feb 2016 16:06:51 +0900

micro-evtd (3.4-2) unstable; urgency=low

  * debian/udeb/micro-evtd.command: Fixed bashisms. Thanks to Martin Michlmayr
    for the report and patch. (Closes: #666218)
  * debian/copyright: Update Format URL and debian/ copyright declaration.
  * debian/control: Update Standards-Version to 3.9.3.
  * debian/patches/bashisms.patch: Patch out remaining bashisms from scripts.
  * debian/patches/dont-copy-eventscript.patch: Place runtime files (e.g.
    micro-evtd.status) in /var/run instead of next to the program.
  * debian/micro-evtd.postinst: Clean up runtime files accidentally placed
    into /usr/sbin in previous revision.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 15 Apr 2012 19:14:52 -0700

micro-evtd (3.4-1) unstable; urgency=low

  * New upstream release.
    - no longer overlaps sprintf source and destination (closes: #534931)
    - corrected microapl buzzer operations (closes: #580549)
  * Dropped all Debian patches and changes to upstream files (man pages,
    Makefile) due to upstream changes.
  * Added buffalo-files.patch: removes references to Buffalo scripts not
    available in Debian (was previously a hunk in eventscript.patch)
  * Added dont-copy-eventscript.patch: disables copying event script to /tmp,
    details and rationale in README.Debian. (closes: #5153353)
  * Added watchfile and debian/urepack script; changed get-orig-source target
    in debian/rules to call uscan; dropped old get-orig-source script.
  * Switched to dpkg-source 3.0 (quilt) format.
  * Updated to debhelper v8 format.
  * Updated debian/copyright and README.Debian.
  * Removed the CFLAGS override as this version no longer crashes with -O2.
  * Updated my e-mail address.

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 01 Jun 2011 09:43:01 -0700

micro-evtd (3.3.3-7) unstable; urgency=low

  * New maintainer.
  * debian/udeb/micro_evtd.command: Fixed test condition for whether daemon is
    already running. (Closes: #580549)
  * debian/patches/microapl-bashisms.patch: Fixed several more bashisms in
    microapl.  Based on a patch by Noriaki Mitsunaga. (Closes: #534257)
  * debian/patches/eventscript.patch: Fixed more bashisms, so the script
    actually copies and runs now.
  * debian/patches/script-paths.patch: Refreshed.
  * debian/init.d:
    - Replaced Required-{Start,Stop} with values from /etc/init.d/skeleton,
    as the daemon has no special requirements.  (Fixes a lintian error.)
    - Added runlevel 1 to Default-Stop.  (Fixes a lintian warning.)
  * debian/rules: Overrode CFLAGS to work around a segfault that appears when
    built with optimizations.

 -- Ryan Tandy <tarpman@gmail.com>  Tue, 24 Aug 2010 22:15:38 -0700

micro-evtd (3.3.3-6+lenny3) unstable; urgency=low

  * Added safety measure in udeb for argument incompability between
    micro_evtd.command (microapl) and busybox implementation of sleep.

