=== debian/control ===
Source: micro-evtd
Section: utils
Priority: optional
Maintainer: Roger Shimizu <rosh@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: http://www.sourceforge.net/projects/ppc-evtd
Vcs-Browser: https://salsa.debian.org/debian/micro-evtd
Vcs-Git: https://salsa.debian.org/debian/micro-evtd.git

Package: micro-evtd
Architecture: armel
Depends:
 lsb-base (>= 3.0-6),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Linkstation Pro/Kurobox Pro special features support
 This package provides micro-evtd, a daemon to monitor and control the
 watchdog timer, fans and buttons on the Linkstation Pro/Kurobox Pro
 family of NAS devices, and microapl, a utility to control the status
 LEDs and buzzer as well as the above.

Package: micro-evtd-udeb
Architecture: armel
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
Package-Type: udeb
Description: Linkstation Pro/Kurobox Pro special features support - udeb
 This package contains a stripped-down version of micro-evtd intended to
 allow debian-installer to run on the Linkstation Pro/Kurobox Pro family
 of NAS devices.
