=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# non-standard Makefile name
.PHONY: override_dh_auto_build override_dh_auto_clean
override_dh_auto_build:
	$(MAKE) -f micro-evtd.mak CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
override_dh_auto_clean:
	$(MAKE) -f micro-evtd.mak clean

get-orig-source:
	uscan --download-current-version
