=== debian/watch ===
version=3
opts=downloadurlmangle=s/$/?view=tar/,filenamemangle=s/.*\/([\d\.]+)\//micro-evtd-$1.tar.gz/ \
https://sourceforge.net/p/ppc-evtd/svn/HEAD/tree/micro-evtd/tags/ \
V?v?(\d[\d.]*) debian debian/urepack
